%define modname realtime-database

Summary: Shared Asterisk Realtime configuration for Elastix
Name:    elastix-%{modname}
Version: 1.0.0
Release: 1
License: Proprietary
Group:   Applications/System
Source0: %{modname}_%{version}-%{release}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires(pre): sed
Requires: freePBX >= 2.11.0-23

%description
This module sets up realtime configurations for use by other Elastix modules
that require the realtime database to exist. This module sets up asterisk
realtime SIP configuration using the MySQL database "asteriskrealtime".

%prep
%setup -n %{modname}

%install
rm -rf $RPM_BUILD_ROOT

# Files provided by all Elastix modules
mkdir -p    $RPM_BUILD_ROOT

mv setup/usr/ $RPM_BUILD_ROOT

# The following folder should contain all the data that is required by the installer,
# that cannot be handled by RPM.
mkdir -p    $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
rm -rf setup/build/
mv setup/   $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/

%pre
mkdir -p /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
touch /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/preversion_%{modname}.info
if [ $1 -eq 2 ]; then
    rpm -q --queryformat='%{VERSION}-%{RELEASE}' %{name} > /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/preversion_%{modname}.info
fi

%post
pathModule="/usr/share/elastix/module_installer/%{name}-%{version}-%{release}"

preversion=`cat $pathModule/preversion_%{modname}.info`
rm $pathModule/preversion_%{modname}.info

if [ $1 -eq 1 ]; then #install
  # The installer database
    elastix-dbprocess "install" "$pathModule/setup/db"
elif [ $1 -eq 2 ]; then #update
    elastix-dbprocess "update"  "$pathModule/setup/db" "$preversion"
fi

# Add SIP realtime caching.
if grep -q '^sippeers' /etc/asterisk/extconfig.conf ; then
    echo "WARN: sippeers already active in extconfig.conf, not updating..."
else
    echo 'sippeers => mysql,general,sip' >> /etc/asterisk/extconfig.conf
fi
%{_bindir}/elastix-freepbx-realtime-settings

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ $1 -eq 0 ] ; then # Check to tell apart update and uninstall
    sed -i '/^sippeers => mysql,general,sip/d' /etc/asterisk/extconfig.conf

    service asterisk restart
fi

%files
%defattr(0755, root, root)
%{_bindir}/elastix-freepbx-realtime-settings
%defattr(-, root, root)
%{_datadir}/elastix/module_installer/*

%changelog
* Wed Nov 30 2016 Alex Villacis Lasso <a_villacis@palosanto.com> 1.0.0-1
- Initial release
